
(function($) {
    $.fn.handleEnterKey = function(func) {
        // handle keyup for enter triggering finish
        var jEl = jQuery(this);
        jEl.on('keyup', function(event){
            if(event.keyCode == 13){
                func && func();
            }
        });
    };

    $.fn.disableEnterKeyHandling = function() {
        var jEl = jQuery(this);
        jEl.off('keyup');        
    }
}(jQuery));
